### Enumeration

# GLib LogLevelFlags

#### Declaration

    flags GLib.LogLevelFlags

#### Description [src]

Flags specifying the level of log messages.

It is possible to change how GLib treats messages of the various levels using `g_log_set_handler()` and `g_log_set_fatal_mask()`.

#### Members

Name | Description
--- | ---
`G_LOG_FLAG_RECURSION` | Internal flag.
`G_LOG_FLAG_FATAL` | Internal flag.
`G_LOG_LEVEL_ERROR` | Log level for errors, see `g_error()`. This level is also used for messages produced by `g_assert()`.
`G_LOG_LEVEL_CRITICAL` | Log level for critical warning messages, see `g_critical()`. This level is also used for messages produced by `g_return_if_fail()` and `g_return_val_if_fail()`.
`G_LOG_LEVEL_WARNING` | Log level for warnings, see `g_warning()`
`G_LOG_LEVEL_MESSAGE` | Log level for messages, see `g_message()`
`G_LOG_LEVEL_INFO` | Log level for informational messages, see `g_info()`
`G_LOG_LEVEL_DEBUG` | Log level for debug messages, see `g_debug()`
`G_LOG_LEVEL_MASK` | A mask including all log levels.